import json

with open("subscriptions.json", "r") as read_file:
    data = json.load(read_file)

rss_urls = []

for thing in data:
    rss_urls.append("https://www.youtube.com/feeds/videos.xml?channel_id=" + thing['snippet']['resourceId']['channelId'] + ' "~' + thing['snippet']['title'] + '"\n')

with open("urls", "w") as write_file:
    for line in rss_urls:
        write_file.write(line);
